package org.ifmo.refrigerator.components;

/**
 *    ""
 */
public class Air extends BaseComponent {
    private final static int POLLUTION_INCREASING = 1;
    public final static int COOL_MAX = 10;
    public final static int BAD_MIN = 50;
    public final static int MIN_POLLUTION = 0;
    public final static int MAX_POLLUTION = 100;

    private int pollution = 0;

/**
 *  
 *     - Content
 */
    public Air(Content content) {
        super(content);
    }

/**
 *     
 */
    public int getPollution() {
        return pollution;
    }

/**
 *    
 */
    public int changePollution(int delta) {
        pollution += delta;
        if (pollution < MIN_POLLUTION)
            pollution = MIN_POLLUTION;
        else if (pollution > MAX_POLLUTION)
            pollution = MAX_POLLUTION;
        if (pollution <= COOL_MAX)
            getContent().getAirFilter().goodAir();
        else if (pollution >= BAD_MIN)
            getContent().getAirFilter().badAir();
        return pollution;
    }

/**
 *     
 */
    public void timeEvent() {
        changePollution(POLLUTION_INCREASING);
    }
}
