package org.ifmo.refrigerator.components;

import org.ifmo.refrigerator.ui.Client;

/**
 *       
 */
public class Content {
    //    
    private Indicator topIndicator = new Indicator(this);
    //    
    private Indicator bottomIndicator = new Indicator(this);
    //   
    private Lamp topLamp = new Lamp(this);
    //   
    private Lamp bottomLamp = new Lamp(this);
    //  
    private Door topDoor = new Door(this, topIndicator, topLamp);
    //  
    private Door bottomDoor = new Door(this, bottomIndicator, bottomLamp);
    // 
    private Air air = new Air(this);
    // 
    private AirFilter airFilter = new AirFilter(this);
    // 
    private Frazil frazil = new Frazil(this);
    //  
    private FrazilController frazilController = new FrazilController(this);
    //   
    private Indicator airFilterBrokenIndicator = new Indicator(this);
    //  
    private Indicator frazilIndicator = new Indicator(this);
    //    
    private Indicator airFilterIndicator = new Indicator(this);
    // 
    private LoudSpeaker loudSpeaker = new LoudSpeaker(this);
    // 
    private Quartz quartz = new Quartz(this);

    // 
    public Content() {
        quartz.run();
        airFilter.setAutomatName("Air Filter");
        topDoor.setAutomatName("Top Door");
        bottomDoor.setAutomatName("Bottom Door");
        frazilController.setAutomatName("Frazil Controller");
    }

    //
    public Door getTopDoor() {
        return topDoor;
    }

    public Door getBottomDoor() {
        return bottomDoor;
    }

    public Air getAir() {
        return air;
    }

    public AirFilter getAirFilter() {
        return airFilter;
    }

    public Frazil getFrazil() {
        return frazil;
    }

    public FrazilController getFrazilController() {
        return frazilController;
    }

    public Indicator getTopIndicator() {
        return topIndicator;
    }

    public Indicator getBottomIndicator() {
        return bottomIndicator;
    }

    public Indicator getAirFilterBrokenIndicator() {
        return airFilterBrokenIndicator;
    }

    public Indicator getFrazilIndicator() {
        return frazilIndicator;
    }

    public Indicator getAirFilterIndicator() {
        return airFilterIndicator;
    }

    public LoudSpeaker getLoudSpeaker() {
        return loudSpeaker;
    }

    public Lamp getTopLamp() {
        return topLamp;
    }

    public Lamp getBottomLamp() {
        return bottomLamp;
    }

    public Quartz getQuartz() {
        return quartz;
    }

    //  
    private Client client = null;

    public void updateState() {
        if (client != null)
            client.repaint();
    }


    public void setClient(Client client) {
        this.client = client;
    }
}
