package org.ifmo.refrigerator.components;

import java.io.*;
import javax.sound.midi.*;

/**
 *  " "
 */
public class LoudSpeaker extends BaseComponent {

    public boolean lowSound;
    public boolean loudSound;
    private static final String lowSoundSrc="org/ifmo/refrigerator/ui/sound/benny.mid";
    private static final String loudSoundSrc="org/ifmo/refrigerator/ui/sound/lion king.mid";
//    private static final String lowSoundSrc="sound/benny.mid";
//    private static final String loudSoundSrc="sound/lion king.mid";
    private Sequencer playLoud, playLow;

    private Sequencer LoadMidi(String fName) {
        Sequencer play = null;
        try {
            play = MidiSystem.getSequencer();
            play.open();
            File MidiFile = new File(fName);
            Sequence seq = MidiSystem.getSequence(MidiFile);
            play.setSequence(seq);
        } catch (Exception e) {
            System.out.println("NO PLAYER");
        }
        return play;
    }

    // 
    public LoudSpeaker(Content content) {
        super(content);
        lowSound = false;
        loudSound = false;
        playLow = LoadMidi(lowSoundSrc);
        playLoud = LoadMidi(loudSoundSrc);
    }

    //    
    public void lowSoundOn() {
        playLow.setMicrosecondPosition(0);
        playLow.start();
        lowSound = true;
    }

    //    
    public void lowSoundOff() {
        lowSound = false;
        playLow.stop();
    }

    //    
    public void loudSoundOn() {
        playLow.stop();
        playLoud.setMicrosecondPosition(0);
        playLoud.start();
        loudSound = true;
    }

    //    
    public void loudSoundOff() {
        playLoud.stop();
        loudSound = false;
    }
}
