package org.ifmo.refrigerator.ui;

import org.ifmo.refrigerator.components.Content;

import javax.swing.*;
import java.awt.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 *  ,    DisplayPanel
 */
public class Client extends JFrame {
    private static final int DEFAULT_WIDTH = 750;
    private static final int DEFAULT_HEIGHT = 450;
    private static final String COPYRIGHT = "\u00A9";
    private static final String TITLE = "Refrigerator " + COPYRIGHT + " 2003 by A.Ishmetyev & A.Sitnikov";

    public DisplayPanel pnlDisplay = null;
/**
 *   ,     DisplayPanel.
 *    .
 */
    public Client(Content content) {
        super(TITLE);
        content.setClient(this);
        ImageLoader imageLoader = new ImageLoader(getToolkit());
        setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
        setResizable(false);
        setIconImage(imageLoader.imgIcon);
        initContent(imageLoader, content);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }

/**
 *    DisplayPanel   
 */
    private void initContent(ImageLoader imageLoader, Content content) {
        DisplayPanel pnlDisplay = new DisplayPanel(imageLoader, content);
        JPanel contentPanel = new JPanel();
        contentPanel.setPreferredSize(new Dimension(DEFAULT_WIDTH, DEFAULT_HEIGHT));
        contentPanel.setLayout(new BorderLayout());
        contentPanel.add(pnlDisplay, BorderLayout.CENTER);
        setContentPane(contentPanel);
        pack();
    }

    public void refresh() {
        this.repaint();
    }

}
